Subject: [TLS] New Draft: Symmetric TLS

From: Rick van Rein <[email-masked]>
Date: Fri, 11 Mar 2016 15:35:05 +0100

Hello,

I wrote a straightforward I-D to permit Symmetric TLS, by which I mean
letting go of predefined client/server roles.  This is useful if the
layers on top and/or below TLS are neutral in this respect.  The
approach is through a TLS Extension that holds a tie-breaker; both ends
send a ClientHello containing such a random value.

> Name:		draft-vanrein-tls-symmetry
> Revision:	01
> Title:		Symmetry for Transport Layer Security
> Document date:	2016-03-11
> Group:		Individual Submission
> Pages:		11
> URL:            https://www.ietf.org/internet-drafts/draft-vanrein-tls-symmetry-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-vanrein-tls-symmetry/
> Htmlized:       https://tools.ietf.org/html/draft-vanrein-tls-symmetry-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-vanrein-tls-symmetry-01
>
> Abstract:
>    TLS connections can be run over various transports, and can in turn
>    carry many application protocols.  All current transports and at
>    least some application protocols are capable of running between
>    symmetric end points, in what could be called peer-to-peer mode, but
>    the use of TLS introduces a requirement to always assign a client and
>    server role.  This specification defines a TLS Extension to remedy
>    that stringency of TLS.

Cheers,
 -Rick